Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

com.RuntimeCollective.sitemap.action
Class ChooseImageAction  view ChooseImageAction download ChooseImageAction.java

java.lang.Object
  extended byorg.apache.struts.action.Action
      extended bycom.RuntimeCollective.sitemap.action.ChooseImageAction

public final class ChooseImageAction
extends org.apache.struts.action.Action

Implementation of Action that sets an Image in the current CSL. It is passed the id of the Image.

Version:
$Id: ChooseImageAction.java,v 1.5 2003/09/30 15:12:58 joe Exp $

Field Summary
 
Fields inherited from class org.apache.struts.action.Action
defaultLocale, servlet
 
Constructor Summary
ChooseImageAction()
           
 
Method Summary
 org.apache.struts.action.ActionForward perform(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
          Sets an Image on the current CSL.
 
Methods inherited from class org.apache.struts.action.Action
addErrors, addMessages, execute, execute, generateToken, getDataSource, getDataSource, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

ChooseImageAction

public ChooseImageAction()
Method Detail

perform

public org.apache.struts.action.ActionForward perform(org.apache.struts.action.ActionMapping mapping,
                                                      org.apache.struts.action.ActionForm form,
                                                      javax.servlet.http.HttpServletRequest request,
                                                      javax.servlet.http.HttpServletResponse response)
                                               throws java.io.IOException,
                                                      javax.servlet.ServletException
Sets an Image on the current CSL.

The id of the Image is passed as the request parameter imageId. The role and position of the image on the CSL are on the session as imageRole and imagePos respectively.

The following Forwards are returned:
failure - local forward to go to if there was a problem editing
cancel - local forward to go to if the edit was cancelled.
chooseTemplate - local forward used if we need to set up a template before editing the content

Alternatively, if the action is a success, a new Forward is returned that points to the CSL's edit page.

The following error messages are returned:
error.db.connection - if there was a problem connecting to the database